<template>
    <div id="submit-form-button" v-if="fromCosmosToEth">
      <Button v-if="!isKeplrWalletConnected" id="submit-button" type="button" label="Connect wallet" disabled/>
      <Button v-if="isKeplrWalletConnected" id="submit-button" type="button" label="Send Tokens" 
        v-on:click="(async () => await sendTokensButton())"/>
    </div>

    <div id="submit-form-button" v-if="!fromCosmosToEth">
      <Button v-if="!isMetamaskWalletConnected" id="submit-button" type="button" label="Connect wallet" disabled/>
      <Button v-if="isMetamaskWalletConnected" id="submit-button" type="button" label="Send Tokens" 
        v-on:click="(async () => await sendTokensButton())"/>
    </div>
</template>

<script>

export default {
  name: 'SendTokensButton',
  computed:{
    fromCosmosToEth(){
      return this.$store.state.fromCosmosToEth
    },
    isMetamaskWalletConnected(){
      return this.$store.state.isMetamaskWalletConnected
    },
    isKeplrWalletConnected(){
      return this.$store.state.isKeplrWalletConnected
    },
    amountToSend(){
      return this.$store.state.amountToSend
    },
    receivingAddress(){
      return this.$store.state.receivingAddress
    },
    isAddressValid(){
      return this.$store.state.isAddressValid
    }
  },
  methods: {
    async sendTokensButton(){

      //first check amount is not null nor 0
      if(this.amountToSend == 0 || this.amountToSend == null){
        this.$toast.add({
          severity:'error', 
          summary: 'Cant send nothing', 
          details:'Please enter an mount of token you want to send', 
          life: 2000})
      }
      else{
        //check if receiving address is valid
        if(this.isAddressValid && this.receivingAddress != null){
          //-> if it's OK we start making the web3 tx HERE!
          this.$toast.add({severity:'success', summary: 'Swap send', details:'not implemented yet', life: 2000})
        }
        else{
          this.$toast.add({
            severity:'error', 
            summary: 'The receiving address is not valid', 
            details:'Please enter a correct address format.', 
            life: 2000})
        }
      }
    }
  }
}
</script>

<style scoped>

#submit-form-button{
    position: absolute;
    bottom: 5%;
    left: 40%;
    margin: 0 auto;
  }

</style>